src/gui/cs_gui_radiative_transfer.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cs_gui_radiative_transfer.c File Reference
`#include "cs_defs.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <assert.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "fvm_selector.h"`
`#include "cs_base.h"`
`#include "cs_gui_variables.h"`
`#include "cs_gui_util.h"`
`#include "cs_gui_boundary_conditions.h"`
`#include "cs_gui_specific_physics.h"`
`#include "cs_gui.h"`
`#include "cs_mesh.h"`
`#include "cs_gui_radiative_transfer.h"`
Include dependency graph for cs_gui_radiative_transfer.c:

## Macros
#define | _XML_DEBUG_ 0

## Functions
void | uiray1 (int *const iirayo, int *const isuird, int *const i_quad, int *const ndirec, int *const nfreqr, int *const idiver, int *const iimpar, int *const iimlum)
void | uiray4 (int *const nbrayf, int *const iirayo, int *const irayvf)
void | uirapr (const int *const nprayc, const int *const nrphas, const int *const ipppro, const int *const ipproc, const int *const ilumin, const int *const iqx, const int *const iqy, const int *const iqz, const int *const itsre, const int *const itsri, const int *const iabs, const int *const iemi, const int *const icak)
void | fcnmra (const char *const fstr, int *const len, int *const var_idCS_ARGF_SUPP_CHAINE)
void | cfnmra (char *const fstr, int *const len, int *const var_idCS_ARGF_SUPP_CHAINE)
void | uiray2 (const int *const itypfb, const int *const iparoi, const int *const iparug, const int *const ivart, int *const izfrdp, int *const isothp, const int *const itpimp, const int *const ipgrno, const int *const iprefl, const int *const ifgrno, const int *const ifrefl, const int *const nozppm, const int *const nfabor, const int *const nvar, double *const epsp, double *const epap, double *const tintp, double *const textp, double *const xlamp, double *const rcodcl)
void | uiray3 (double *const ck, const int *const ncel, int *const imodak)
void | memui2 (void)

## Macro Definition Documentation

#define _XML_DEBUG_ 0

## Function Documentation

void cfnmra | ( | char *const | fstr,
|  | int *const | len,
|  | int *const var_id | CS_ARGF_SUPP_CHAINE
| ) |  |

void fcnmra | ( | const char *const | fstr,
|  | int *const | len,
|  | int *const var_id | CS_ARGF_SUPP_CHAINE
| ) |  |

void memui2 | ( | void |  | ) |

void uirapr | ( | const int *const | nprayc,
|  | const int *const | nrphas,
|  | const int *const | ipppro,
|  | const int *const | ipproc,
|  | const int *const | ilumin,
|  | const int *const | iqx,
|  | const int *const | iqy,
|  | const int *const | iqz,
|  | const int *const | itsre,
|  | const int *const | itsri,
|  | const int *const | iabs,
|  | const int *const | iemi,
|  | const int *const | icak
| ) |  |

void uiray1 | ( | int *const | iirayo,
|  | int *const | isuird,
|  | int *const | i_quad,
|  | int *const | ndirec,
|  | int *const | nfreqr,
|  | int *const | idiver,
|  | int *const | iimpar,
|  | int *const | iimlum
| ) |  |

void uiray2 | ( | const int *const | itypfb,
|  | const int *const | iparoi,
|  | const int *const | iparug,
|  | const int *const | ivart,
|  | int *const | izfrdp,
|  | int *const | isothp,
|  | const int *const | itpimp,
|  | const int *const | ipgrno,
|  | const int *const | iprefl,
|  | const int *const | ifgrno,
|  | const int *const | ifrefl,
|  | const int *const | nozppm,
|  | const int *const | nfabor,
|  | const int *const | nvar,
|  | double *const | epsp,
|  | double *const | epap,
|  | double *const | tintp,
|  | double *const | textp,
|  | double *const | xlamp,
|  | double *const | rcodcl
| ) |  |

void uiray3 | ( | double *const | ck,
|  | const int *const | ncel,
|  | int *const | imodak
| ) |  |

void uiray4 | ( | int *const | nbrayf,
|  | int *const | iirayo,
|  | int *const | irayvf
| ) |  |